[CentOS] Upgrading Python with Yum

John R Pierce pierce at hogranch.com
Tue Mar 23 00:31:29 UTC 2010


Kai Schaetzl wrote:
> AND, you do not want to upgrade python on a CentOS system. You may install 
> a newer python in parallel, but never upgrade the system python.
>   

indeed.   lots of CentOS utilties, including Yum itself, are written in 
python, and python has a horrible track record for inter-version 
compatibility, what works in 2.4.x is likely very broken in 2.6.x

If you absolutely have to have 2.6 for some user application, I would 
compile and install it to run somewhere else, like /usr/local/python26 
or /opt/mystuff/python26




More information about the CentOS mailing list